/// Language settings for SupportedLanguage.latinExtended
class LatinExtended {
  /// An array of special characters
  static const specialCharacters = [
    'á',
    'à',
    'ă',
    'â',
    'å',
    'ä',
    'ã',
    'ą',
    'ā',
    'æ',
    'ć',
    'ĉ',
    'č',
    'ċ',
    'ç',
    'ď',
    'đ',
    'ð',
    'é',
    'è',
    'ĕ',
    'ê',
    'ě',
    'ë',
    'ė',
    'ę',
    'ē',
    'ğ',
    'ĝ',
    'ġ',
    'ģ',
    'ĥ',
    'ħ',
    'í',
    'ì',
    'ĭ',
    'î',
    'ï',
    'ĩ',
    'ı',
    'į',
    'ī',
    'ĳ',
    'ĵ',
    'ķ',
    'ĺ',
    'ľ',
    'ļ',
    'ł',
    'ŀ',
    'ń',
    'ň',
    'ñ',
    'ņ',
    'ŋ',
    'ó',
    'ò',
    'ŏ',
    'ô',
    'ö',
    'ő',
    'õ',
    'ø',
    'ō',
    'œ',
    'ŕ',
    'ř',
    'ŗ',
    'ś',
    'ŝ',
    'š',
    'ş',
    'ß',
    'ť',
    'ţ',
    'ŧ',
    'ú',
    'ù',
    'ŭ',
    'û',
    'ů',
    'ü',
    'ű',
    'ũ',
    'ų',
    'ū',
    'ŵ',
    'ý',
    'ŷ',
    'ÿ',
    'ź',
    'ž',
    'ż',
    'þ',
    'Á',
    'À',
    'Ă',
    'Â',
    'Å',
    'Ä',
    'Ã',
    'Ą',
    'Ā',
    'Æ',
    'Ć',
    'Ĉ',
    'Č',
    'Ċ',
    'Ç',
    'Ď',
    'Đ',
    'Ð',
    'É',
    'È',
    'Ĕ',
    'Ê',
    'Ě',
    'Ë',
    'Ė',
    'Ę',
    'Ē',
    'Ğ',
    'Ĝ',
    'Ġ',
    'Ģ',
    'Ĥ',
    'Ħ',
    'Í',
    'Ì',
    'Ĭ',
    'Î',
    'Ï',
    'Ĩ',
    'İ',
    'Į',
    'Ī',
    'Ĳ',
    'Ĵ',
    'Ķ',
    'Ĺ',
    'Ľ',
    'Ļ',
    'Ł',
    'Ŀ',
    'Ń',
    'Ň',
    'Ñ',
    'Ņ',
    'Ŋ',
    'Ó',
    'Ò',
    'Ŏ',
    'Ô',
    'Ö',
    'Ő',
    'Õ',
    'Ø',
    'Ō',
    'Œ',
    'ĸ',
    'Ŕ',
    'Ř',
    'Ŗ',
    'Ś',
    'Ŝ',
    'Š',
    'Ş',
    'ẞ',
    'Ť',
    'Ţ',
    'Ŧ',
    'Ú',
    'Ù',
    'Ŭ',
    'Û',
    'Ů',
    'Ü',
    'Ű',
    'Ũ',
    'Ų',
    'Ū',
    'Ŵ',
    'Ý',
    'Ŷ',
    'Ÿ',
    'Ź',
    'Ž',
    'Ż',
    'Þ',
    '¿',
    '¡',
  ];

  /// A dictionary of mapping characters
  static const mappingCharacters = {
    'a': ['á', 'à', 'ă', 'â', 'å', 'ä', 'ã', 'ą', 'ā', 'æ'],
    'A': ['Á', 'À', 'Ă', 'Â', 'Å', 'Ä', 'Ã', 'Ą', 'Ā', 'Æ'],
    'b': ['ß'],
    'B': ['ẞ'],
    'c': ['ć', 'ĉ', 'č', 'ċ', 'ç'],
    'C': ['Ć', 'Ĉ', 'Č', 'Ċ', 'Ç'],
    'd': ['ď', 'đ', 'ð'],
    'D': ['Ď', 'Đ', 'Ð'],
    'e': ['é', 'è', 'ĕ', 'ê', 'ě', 'ë', 'ė', 'ę', 'ē'],
    'E': ['É', 'È', 'Ĕ', 'Ê', 'Ě', 'Ë', 'Ė', 'Ę', 'Ē'],
    'g': ['ğ', 'ĝ', 'ġ', 'ģ'],
    'G': ['Ğ', 'Ĝ', 'Ġ', 'Ģ'],
    'h': ['ĥ', 'ħ'],
    'H': ['Ĥ', 'Ħ'],
    'i': ['í', 'ì', 'ĭ', 'î', 'ï', 'ĩ', 'ı', 'į', 'ī'],
    'I': ['Í', 'Ì', 'Ĭ', 'Î', 'Ï', 'Ĩ', 'İ', 'Į', 'Ī'],
    'j': ['ĳ', 'ĵ'],
    'J': ['Ĳ', 'Ĵ'],
    'k': ['ķ', 'ĸ'],
    'K': ['Ķ'],
    'l': ['ĺ', 'ľ', 'ļ', 'ł', 'ŀ'],
    'L': ['Ĺ', 'Ľ', 'Ļ', 'Ł', 'Ŀ'],
    'n': ['ń', 'ň', 'ñ', 'ņ', 'ŋ'],
    'N': ['Ń', 'Ň', 'Ñ', 'Ņ', 'Ŋ'],
    'o': ['ó', 'ò', 'ŏ', 'ô', 'ö', 'ő', 'õ', 'ø', 'ō', 'œ'],
    'O': ['Ó', 'Ò', 'Ŏ', 'Ô', 'Ö', 'Ő', 'Õ', 'Ø', 'Ō', 'Œ'],
    'p': ['þ'],
    'P': ['Þ'],
    'r': ['ŕ', 'ř', 'ŗ'],
    'R': ['Ŕ', 'Ř', 'Ŗ'],
    's': ['ś', 'ŝ', 'š', 'ş'],
    'S': ['Ś', 'Ŝ', 'Š', 'Ş'],
    't': ['ť', 'ţ', 'ŧ'],
    'T': ['Ť', 'Ţ', 'Ŧ'],
    'u': ['ú', 'ù', 'ŭ', 'û', 'ů', 'ü', 'ű', 'ũ', 'ų', 'ū'],
    'U': ['Ú', 'Ù', 'Ŭ', 'Û', 'Ů', 'Ü', 'Ű', 'Ũ', 'Ų', 'Ū'],
    'w': ['ŵ'],
    'W': ['Ŵ'],
    'y': ['ý', 'ŷ', 'ÿ'],
    'Y': ['Ý', 'Ŷ', 'Ÿ'],
    'z': ['ź', 'ž', 'ż'],
    'Z': ['Ź', 'Ž', 'Ż'],
  };
}
