import '../../enums/supported_language.dart';

/// Language settings for SupportedLanguage.ru
class RU {
  static const language = SupportedLanguage.ru;

  /// An array of special characters
  static const specialCharacters = [
    'а',
    'б',
    'в',
    'г',
    'д',
    'е',
    'ё',
    'ж',
    'з',
    'и',
    'й',
    'к',
    'л',
    'м',
    'н',
    'о',
    'п',
    'р',
    'с',
    'т',
    'у',
    'ф',
    'х',
    'ц',
    'ч',
    'ш',
    'щ',
    'ъ',
    'ы',
    'ь',
    'э',
    'ю',
    'я',
    'А',
    'Б',
    'В',
    'Г',
    'Д',
    'Е',
    'Ё',
    'Ж',
    'З',
    'И',
    'Й',
    'К',
    'Л',
    'М',
    'Н',
    'О',
    'П',
    'Р',
    'С',
    'Т',
    'У',
    'Ф',
    'Х',
    'Ц',
    'Ч',
    'Ш',
    'Щ',
    'Ъ',
    'Ы',
    'Ь',
    'Э',
    'Ю',
    'Я',
  ];

  /// A dictionary of mapping characters
  static const mappingCharacters = {
    'a': ['а'],
    'A': ['А'],
    'b': ['ь', 'в', 'б', 'ъ'],
    'B': ['Ь', 'В', 'Б', 'Ъ'],
    'c': ['с'],
    'C': ['С'],
    'd': ['д'],
    'D': ['Д'],
    'e': ['е', 'ё', 'э'],
    'E': ['Е', 'Ё', 'Э'],
    'f': ['ф'],
    'F': ['Ф'],
    'g': ['г'],
    'G': ['Г'],
    'h': ['н'],
    'H': ['Н'],
    'i': ['и'],
    'I': ['И'],
    'j': ['й'],
    'J': ['Й'],
    'k': ['к'],
    'K': ['К'],
    'l': ['л'],
    'L': ['Л'],
    'm': ['м'],
    'M': ['М'],
    'n': ['п'],
    'N': ['П'],
    'o': ['о'],
    'O': ['О'],
    'p': ['р'],
    'P': ['Р'],
    'q': ['ч'],
    'Q': ['Ч'],
    'r': ['я'],
    'R': ['Я'],
    's': ['з'],
    'S': ['З'],
    't': ['т'],
    'T': ['Т'],
    'u': ['ц'],
    'U': ['Ц'],
    'v': ['ч'],
    'V': ['Ч'],
    'w': ['ш', 'щ'],
    'W': ['Ш', 'Щ'],
    'x': ['х', 'ж'],
    'X': ['Х', 'Ж'],
    'y': ['у'],
    'Y': ['У'],
    'z': ['з'],
    'Z': ['З'],
  };
}
